#ifndef BACKGROUND_H
#define BACKGROUND_H


#include <cstdint>
#include <stdlib.h> 

#include <azur/gint/render.h>

#include <vector>


struct Map {
	/*width, height and the number of layer of the map*/
	int w, h;

	/*the tileset to use*/
	bopti_image_t *tileset;
	int tileset_size;

	/*list of all the tiles*/
	short *layers;
};


class Background
{
    public:
        Background( );
        ~Background( );

        void Update( float dt );
        void Render( );
};



#endif
